MongoCursor::snapshot
MongoCursor::tailable
MongoCursor
PHP Manual

# MongoCursor::sort

(PECL mongo >=0.9.0)

MongoCursor::sort — Sorts the results by given fields

### Descrição

public MongoCursor MongoCursor::sort ( array `$fields` )

### Parâmetros

`fields`

  The fields by which to sort.

### Valor Retornado

Returns this cursor.

### Erros

Throws MongoCursorException if this cursor has started iterating.

### Exemplos

Exemplo #1 MongoCursor::sort() example

`<?php
// sort x ascending
$cursor->sort(array('x' => 1));
// the associative array is ordered, for instance, these two
// examples might yield different results:
// sort date ascending and age descending
$cursor->sort(array('date' => 1, 'age' => -1));
// sort age descending and date ascending
$cursor->sort(array('age' => -1, 'date' => 1));
?>`

MongoCursor::snapshot
MongoCursor::tailable
MongoCursor
PHP Manual